---
wsId: 
title: Bitcoin Wallet - BTC Exchange
altTitle: 
authors:
- leo
users: 1000000
appId: btc.org.freewallet.app
appCountry: 
released: 2016-06-13
updated: 2021-09-20
version: 2.6.8
stars: 4.6
ratings: 8152
reviews: 478
size: 
website: https://freewallet.org/
repository: 
issue: 
icon: btc.org.freewallet.app.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-10-12
signer: 
reviewArchive: 
twitter: freewalletorg
social:
- https://www.facebook.com/freewallet.org
- https://www.reddit.com/r/Freewallet_org
redirect_from:
- /btc.org.freewallet.app/
- /posts/btc.org.freewallet.app/

---

According to their description on Google Play, this is a custodial app:

> The Freewallet team keeps most of our customers’ coins in offline cold storage
to ensure the safety of your funds.

Our verdict: This app is **not verifiable**.
